curl --request GET \
--url https://api.sandbox.finsei.com/v1/beneficiary/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v1/beneficiary/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v1/beneficiary/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v1/beneficiary/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v1/beneficiary/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.finsei.com/v1/beneficiary/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v1/beneficiary/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency_id": "EUR",
"entity_type": "company",
"uuid": "<string>",
"name": "Aliaksandr",
"bank_country": "LT",
"iban": "NL13RABO4448094871",
"bic_swift": "AGBLLT2X",
"account_number": 123,
"sort_code": 123,
"bank_details_type": "DEFAULT",
"street": "Gagarina street",
"house": "22",
"city": "London",
"country_id": "GB",
"postal_code": "10001",
"company_name": "Finsei Ltd.",
"first_name": "Aliaksandr",
"last_name": "Lastname"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}GET /v1/beneficiary/{id}
curl --request GET \
--url https://api.sandbox.finsei.com/v1/beneficiary/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.finsei.com/v1/beneficiary/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.finsei.com/v1/beneficiary/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v1/beneficiary/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v1/beneficiary/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.finsei.com/v1/beneficiary/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v1/beneficiary/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency_id": "EUR",
"entity_type": "company",
"uuid": "<string>",
"name": "Aliaksandr",
"bank_country": "LT",
"iban": "NL13RABO4448094871",
"bic_swift": "AGBLLT2X",
"account_number": 123,
"sort_code": 123,
"bank_details_type": "DEFAULT",
"street": "Gagarina street",
"house": "22",
"city": "London",
"country_id": "GB",
"postal_code": "10001",
"company_name": "Finsei Ltd.",
"first_name": "Aliaksandr",
"last_name": "Lastname"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the beneficiary
Response
Beneficiary data
Currency code
3"EUR"
Beneficiary entity type
individual, company "company"
UUID of beneficiary
Name of beneficiary
255"Aliaksandr"
Alpha-2 bank country code. Used for DEFAULT bank details.
2"LT"
IBAN. Used for DEFAULT bank details.
255"NL13RABO4448094871"
BIC/SWIFT. Used for DEFAULT bank details and not required for SEPA accounts.
"AGBLLT2X"
Account number. Used for LOCAL bank details.
Sort code. Used for LOCAL bank details.
Bank details type
DEFAULT, LOCAL Beneficiary address street. Required for non-SEPA accounts.
64"Gagarina street"
Beneficiary house number. Required for non-SEPA accounts.
32"22"
Beneficiary city. Required for non-SEPA accounts.
64"London"
Beneficiary address country Alpha-2 code. Required for non-SEPA accounts.
"GB"
Beneficiary postal code. Required for non-SEPA accounts.
32"10001"
Company name. Required when entity_type is company.
35"Finsei Ltd."
Beneficiary first name. Required when entity_type is individual.
64"Aliaksandr"
Beneficiary last name. Required when entity_type is individual.
64"Lastname"